- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GNet::AddressStorageImp Class Reference

A pimple-pattern implementation class for GNet::AddressStorage. More...

## Public Attributes
AddressImp::Sockaddr | u
socklen_t | n

## Detailed Description

A pimple-pattern implementation class for GNet::AddressStorage.

Definition at line 96 of file gaddress_ipv4.cpp.

## Member Data Documentation

socklen_t GNet::AddressStorageImp::n

Definition at line 100 of file gaddress_ipv4.cpp.

Referenced by GNet::AddressStorage::AddressStorage().

AddressImp::Sockaddr GNet::AddressStorageImp::u

Definition at line 99 of file gaddress_ipv4.cpp.

The documentation for this class was generated from the following file:

- gaddress_ipv4.cpp